develooper Front page | perl.libwww | Postings from June 2016

Question about using Crypt::SSLeay::X509

From:
Natalia Ratnikova
Date:
June 23, 2016 05:46
Subject:
Question about using Crypt::SSLeay::X509
Message ID:
f791656d-49fe-4ed0-6eff-6d4736f8b6c0@gmail.com
Hello,

I am using LWP::UserAgent  to access https server with a proxy 
certificate and would like to check if the proxy had already expired 
before trying to contact the server.

I found functions  not_before and not_after in Crypt::SSLeay::X509, 
which  seem to be doing exactly what I  need.

However they expect a $cert as an input. How do I created the $cert 
object from my  proxy file?

Thanks for any help.

     Natalia.




nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About